import { RangeCategorySeries } from "./RangeCategorySeries";
import { CategoryAxisBase } from "./CategoryAxisBase";
import { NumericYAxis } from "./NumericYAxis";
import { Axis } from "./Axis";
import { Point, Type } from "igniteui-react-core";
import { SeriesHitTestMode } from "./SeriesHitTestMode";
import { ScalerParams } from "./ScalerParams";
/**
 * @hidden
 */
export declare abstract class HorizontalRangeCategorySeries extends RangeCategorySeries {
    static $t: Type;
    xAxis: CategoryAxisBase;
    yAxis: NumericYAxis;
    fetchXAxis(): Axis;
    fetchYAxis(): Axis;
    oz(): void;
    aj(a: Point): Point[][];
    ak(a: Point): Point[][];
    protected get_fs(): boolean;
    protected b0(): SeriesHitTestMode;
    getOffsetValue(): number;
    getCategoryWidth(): number;
    j6(a: Point, b: boolean): number;
    j8(a: Point, b: boolean): number;
    im(a: Point, b: number, c: Axis, d: ScalerParams, e: number): number;
    i3(a: Point, b: boolean, c: boolean): number;
    i1(a: Point, b: boolean, c: boolean): number;
    iz(a: Point, b: boolean, c: boolean): number;
    v1(a: Point, b: boolean, c: boolean): Point;
    v3(a: Point, b: boolean, c: boolean): Point;
    v5(a: Point, b: boolean, c: boolean): Point;
    zf(): boolean;
    protected q4(a: any, b: string, c: any, d: any): void;
    aa1(a: any): boolean;
    aa0(a: any): boolean;
    aa6: string;
    aa2: string;
    aa8: string;
    aa4: string;
    getDataLegendSeriesContextAt(a: number, b: number): any;
    get useHighMarkerFidelity(): boolean;
    static $$p: string[];
}
